GWT 2.7.0

## com.google.gwt.uibinder.elementparsers
Class TextInterpreter

    java.lang.Object
      com.google.gwt.uibinder.elementparsers.TextInterpreter

All Implemented Interfaces:
  com.google.gwt.uibinder.rebind.XMLElement.Interpreter<java.lang.String>

    public class TextInterpreter

extends java.lang.Object
implements com.google.gwt.uibinder.rebind.XMLElement.Interpreter<java.lang.String>

The interpreter of choice for calls to `XMLElement.consumeInnerText(com.google.gwt.uibinder.rebind.XMLElement.PostProcessingInterpreter<java.lang.String>)`. It handles <m:msg/> elements, replacing them with references to Messages interface calls.

Calls to `XMLElement.consumeInnerHtml(com.google.gwt.uibinder.rebind.XMLElement.Interpreter<java.lang.String>)` should instead use `HtmlInterpreter`

Constructor Summary
`TextInterpreter(com.google.gwt.uibinder.rebind.UiBinderWriter writer)`

Method Summary
`java.lang.String` | `interpretElement(com.google.gwt.uibinder.rebind.XMLElement elem)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextInterpreter

    public TextInterpreter(com.google.gwt.uibinder.rebind.UiBinderWriter writer)

Method Detail

### interpretElement

    public java.lang.String interpretElement(com.google.gwt.uibinder.rebind.XMLElement elem)
                                      throws UnableToCompleteException

  Specified by:
    `interpretElement` in interface `com.google.gwt.uibinder.rebind.XMLElement.Interpreter<java.lang.String>`
  Throws:
    `UnableToCompleteException`

GWT 2.7.0